Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\FullText Class Reference

Visits the FullText criterion. More...

Inheritance diagram for eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\FullText:

## Public Member Functions
| __construct (FieldNameResolver $fieldNameResolver)
| Create from field map. More...
| canVisit (Criterion $criterion)
| Check if visitor is applicable to current criterion. More...
| visitFilter (Criterion $criterion, Dispatcher $dispatcher, array $languageFilter)
| Map field value to a proper Elasticsearch filter representation. More...
| visitQuery (Criterion $criterion, Dispatcher $dispatcher, array $languageFilter)
| Map field value to a proper Elasticsearch query representation. More...
Public Member Functions inherited from eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor
| visitFilter (Criterion $criterion, CriterionVisitorDispatcher $dispatcher, array $languageFilter)
| Map field value to a proper Elasticsearch filter representation. More...
| visitQuery (Criterion $criterion, CriterionVisitorDispatcher $dispatcher, array $languageFilter)
| Map field value to a proper Elasticsearch query representation. More...

## Protected Member Functions
| getFieldNames (Criterion $criterion, $fieldDefinitionIdentifier)
| Get field type information. More...
Protected Member Functions inherited from eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\FieldFilterBase
| getFieldFilter (array $languageFilter)
| Returns filter condition for the given $languageFilter. More...
| getTodoFieldFilter (array $languageFilter)
| TODO: should really work something like this, but also needs update to the UrlAliasService etc. More...
Protected Member Functions inherited from eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor
| getQueryRange ($operator, $start, $end)
| Get Elasticsearch range query. More...
| getFilterRange ($operator, $start, $end)
| Get Elasticsearch range filter. More...
| prepareValue ($value)
| Converts given $value to the appropriate Elasticsearch representation. More...

## Protected Attributes
| $fieldNameResolver

## Detailed Description

Visits the FullText criterion.

Definition at line 16 of file Core/Search/Elasticsearch/Content/CriterionVisitor/FullText.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\FullText::__construct | ( | FieldNameResolver | $fieldNameResolver | ) |

Create from field map.

Parameters

  \eZ\Publish\Core\Search\Common\FieldNameResolver | $fieldNameResolver |

Definition at line 30 of file Core/Search/Elasticsearch/Content/CriterionVisitor/FullText.php.

References eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\FullText\$fieldNameResolver.

## Member Function Documentation

## ◆ canVisit()

eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\FullText::canVisit | ( | Criterion | $criterion | ) |

Check if visitor is applicable to current criterion.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Query\Criterion | $criterion |

Returns
  bool

Reimplemented from eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor.

Definition at line 55 of file Core/Search/Elasticsearch/Content/CriterionVisitor/FullText.php.

## ◆ getFieldNames()

eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\FullText::getFieldNames | ( | Criterion | $criterion,
|  |  | $fieldDefinitionIdentifier
| ) |  |
| protected

Get field type information.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Query\Criterion | $criterion |
  string | $fieldDefinitionIdentifier |

Returns
  array

Definition at line 43 of file Core/Search/Elasticsearch/Content/CriterionVisitor/FullText.php.

## ◆ visitFilter()

eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\FullText::visitFilter | ( | Criterion | $criterion,
|  | Dispatcher | $dispatcher,
|  | array | $languageFilter
| ) |  |

Map field value to a proper Elasticsearch filter representation.

Exceptions

Definition at line 114 of file Core/Search/Elasticsearch/Content/CriterionVisitor/FullText.php.

References eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\FieldFilterBase\getFieldFilter().

## ◆ visitQuery()

eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\FullText::visitQuery | ( | Criterion | $criterion,
|  | Dispatcher | $dispatcher,
|  | array | $languageFilter
| ) |  |

Map field value to a proper Elasticsearch query representation.

Exceptions

Definition at line 152 of file Core/Search/Elasticsearch/Content/CriterionVisitor/FullText.php.

References eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\FieldFilterBase\getFieldFilter().

## Member Data Documentation

## ◆ $fieldNameResolver

eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\FullText::$fieldNameResolver
| protected

Definition at line 23 of file Core/Search/Elasticsearch/Content/CriterionVisitor/FullText.php.

Referenced by eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\FullText\__construct().

The documentation for this class was generated from the following file:

- Core/Search/Elasticsearch/Content/CriterionVisitor/FullText.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.